Skip to main content
POST
/
case
/
id
/
{caseId}
/
add
/
services
Add to order
curl --request POST \
  --url https://api-stage.karmacheck.io/case/id/{caseId}/add/services \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "services": [
    {
      "id": "service-cplc"
    }
  ],
  "orderData": [
    {
      "caseOrderDataTypeId": "codt-cplc",
      "serviceId": "service-cplc",
      "metadata": {
        "cplcId": "1d16c91d-c2da-47d1-b102-bd67d5b8b1ee",
        "fields": [
          {
            "fieldId": "licenseNumber",
            "value": "L1234567"
          },
          {
            "fieldId": "firstName",
            "value": "Matt"
          },
          {
            "fieldId": "lastName",
            "value": "Williams"
          },
          {
            "fieldId": "state",
            "value": "NY"
          }
        ]
      }
    }
  ],
  "orderConfig": {
    "serviceConfigs": {
      "9ac65633-b4c4-4062-875c-3556db9d2a08": {
        "verificationMethod": "psv-first"
      },
      "85307784-1f84-471a-8596-c8ea088c3a62": {
        "verificationMethod": "psv-first"
      }
    }
  }
}
'
import requests

url = "https://api-stage.karmacheck.io/case/id/{caseId}/add/services"

payload = {
"services": [{ "id": "service-cplc" }],
"orderData": [
{
"caseOrderDataTypeId": "codt-cplc",
"serviceId": "service-cplc",
"metadata": {
"cplcId": "1d16c91d-c2da-47d1-b102-bd67d5b8b1ee",
"fields": [
{
"fieldId": "licenseNumber",
"value": "L1234567"
},
{
"fieldId": "firstName",
"value": "Matt"
},
{
"fieldId": "lastName",
"value": "Williams"
},
{
"fieldId": "state",
"value": "NY"
}
]
}
}
],
"orderConfig": { "serviceConfigs": {
"9ac65633-b4c4-4062-875c-3556db9d2a08": { "verificationMethod": "psv-first" },
"85307784-1f84-471a-8596-c8ea088c3a62": { "verificationMethod": "psv-first" }
} }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
services: [{id: 'service-cplc'}],
orderData: [
{
caseOrderDataTypeId: 'codt-cplc',
serviceId: 'service-cplc',
metadata: {
cplcId: '1d16c91d-c2da-47d1-b102-bd67d5b8b1ee',
fields: [
{fieldId: 'licenseNumber', value: 'L1234567'},
{fieldId: 'firstName', value: 'Matt'},
{fieldId: 'lastName', value: 'Williams'},
{fieldId: 'state', value: 'NY'}
]
}
}
],
orderConfig: {
serviceConfigs: {
'9ac65633-b4c4-4062-875c-3556db9d2a08': {verificationMethod: 'psv-first'},
'85307784-1f84-471a-8596-c8ea088c3a62': {verificationMethod: 'psv-first'}
}
}
})
};

fetch('https://api-stage.karmacheck.io/case/id/{caseId}/add/services', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));



Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

caseId
string
required

The ID of the case to add services to.

Body

application/json

services and orderData are both optional, but at least one of them is required to call this endpoint.

services
object[]
orderData
CaseOrderData · object[]
orderConfig
OrderConfig · object

Updated configurations [blocked] that describe how to run certain screenings for the case. The current configurations for the case can be overridden only if there has not already been a screening dispatched where that configuration applies. For example, if a criminal screening was ordered during case creation, then aliasNameConfiguration cannot be updated.

Response

success